Returns the screen layout definition for adding or updating an item, including field definitions and workflow states.
curl --request POST \
--url https://{install}/api/item/screen \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"containerId": "<string>",
"processId": "<string>",
"itemId": "<string>",
"stage": 123,
"source": "<string>"
}
'import requests
url = "https://{install}/api/item/screen"
payload = {
"containerId": "<string>",
"processId": "<string>",
"itemId": "<string>",
"stage": 123,
"source": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
containerId: '<string>',
processId: '<string>',
itemId: '<string>',
stage: 123,
source: '<string>'
})
};
fetch('https://{install}/api/item/screen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/item/screen");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"containerId\": \"<string>\",\n \"processId\": \"<string>\",\n \"itemId\": \"<string>\",\n \"stage\": 123,\n \"source\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"item": {
"entity": "<string>",
"containerId": "<string>",
"processId": "<string>",
"sequence": 123,
"boardId": "<string>",
"cycleId": "<string>",
"resourceType": 123,
"resourceId": "<string>",
"dateOpened": "2023-11-07T05:31:56Z",
"dateWorking": "2023-11-07T05:31:56Z",
"dateClosed": "2023-11-07T05:31:56Z",
"time": [
{
"id": "<string>",
"dated": "2023-11-07T05:31:56Z",
"userId": "<string>",
"timeTypeId": "<string>",
"timeLogged": "<string>",
"comment": "<string>",
"status": 123
}
],
"field": [
{
"fieldId": "<string>",
"data": "<string>"
}
],
"meta": [
{
"key": "<string>",
"value": "<string>"
}
],
"clockStart": "2023-11-07T05:31:56Z",
"clockFinish": "2023-11-07T05:31:56Z",
"clockDelta": 123,
"clockHours": 123,
"clockStatus": 123,
"dependencyKey": "<string>",
"dependencyIndent": 123,
"dependencyChild": 123,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
},
"stage": 123,
"workflow": [
{
"id": "<string>",
"value": "<string>",
"image": "<string>",
"metadata": "<string>",
"active": true
}
],
"field": [
{
"definition": {
"contentType": "<string>",
"maximum": 123,
"entity": "<string>",
"fieldType": "<string>",
"defaultValue": "<string>",
"name": "<string>",
"prompt": "<string>",
"description": "<string>",
"isCore": true,
"isFeature": true,
"featureName": "<string>",
"placement": [
123
],
"usage": [
123
],
"listEditable": true,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
},
"data": "<string>",
"required": true
}
]
}Items
Returns the screen layout definition for adding or updating an item, including field definitions and workflow states.
POST
/
api
/
item
/
screen
Returns the screen layout definition for adding or updating an item, including field definitions and workflow states.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Body
application/jsonapplication/*+json
The screen request specifying container, process, item, and screen stage.
Lists items assigned to a specific resource (user or job role).
Previous
Deletes an item by its identifier.
Next
⌘I